Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin
Class Jetty6MavenConfiguration

    java.lang.Object
      org.mortbay.jetty.webapp.WebXmlConfiguration
          org.mortbay.jetty.plus.webapp.AbstractConfiguration
              org.mortbay.jetty.plus.webapp.Configuration
                  org.mortbay.jetty.plugin.Jetty6MavenConfiguration

All Implemented Interfaces:
  Serializable, Configuration

    public class Jetty6MavenConfiguration

extends Configuration

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`_constraintMappings, _context, _defaultWelcomeFileList, _errorPages, _filterMappings, _filters, _hasJSP, _jspServletName, _listeners, _servletHandler, _servletMappings, _servlets, _version, _welcomeFiles, _xmlParser`

Constructor Summary
`Jetty6MavenConfiguration()`

Method Summary
`void` | `configureClassLoader()` Set up the classloader for the webapp, using the various parts of the Maven project
`void` | `configureDefaults()` Parse the default webapp descriptor
`void` | `configureWebApp()` Prepare webapp for starting by parsing web.xml
`void` | `deconfigureWebApp()` Prepare webapp for stopping
`void` | `setClassPathConfiguration(File webAppDir, List classPathFiles)`
`void` | `setWebXml(File webXmlFile)`

Methods inherited from class org.mortbay.jetty.plus.webapp.Configuration
`bindEnvEntry, bindMessageDestinationRef, bindResourceEnvRef, bindResourceRef, bindUserTransaction, lockCompEnv, unlockCompEnv`

Methods inherited from class org.mortbay.jetty.plus.webapp.AbstractConfiguration
`callPreDestroyCallbacks, configure, initEnvEntry, initialize, initInjection, initMessageDestinationRef, initPostConstruct, initPreDestroy, initResourceEnvRef, initResourceRef, initWebXmlElement, injectAndCallPostConstructCallbacks, parseAnnotations`

Methods inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`findWebXml, getJSPServletName, getWebAppContext, initContextParam, initDisplayName, initDistributable, initErrorPage, initFilter, initFilterMapping, initJspConfig, initListener, initLocaleEncodingList, initLoginConfig, initMimeConfig, initSecurityConstraint, initSecurityRole, initServlet, initServletMapping, initSessionConfig, initTagLib, initWelcomeFileList, newListenerInstance, normalizePattern, setWebAppContext, webXmlParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jetty6MavenConfiguration

    public Jetty6MavenConfiguration()

Method Detail

### setClassPathConfiguration

    public void setClassPathConfiguration(File webAppDir,
                                          List classPathFiles)

### setWebXml

    public void setWebXml(File webXmlFile)

### configureClassLoader

    public void configureClassLoader()
                              throws Exception

  Set up the classloader for the webapp, using the various parts of the Maven project

  Specified by:
    `configureClassLoader` in interface `Configuration`
  Overrides:
    `configureClassLoader` in class `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.configureClassLoader()`

### configureDefaults

    public void configureDefaults()
                           throws Exception

  Parse the default webapp descriptor

  Specified by:
    `configureDefaults` in interface `Configuration`
  Overrides:
    `configureDefaults` in class `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.configureDefaults()`

### configureWebApp

    public void configureWebApp()
                         throws Exception

  Prepare webapp for starting by parsing web.xml

  Specified by:
    `configureWebApp` in interface `Configuration`
  Overrides:
    `configureWebApp` in class `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.configureWebApp()`

### deconfigureWebApp

    public void deconfigureWebApp()
                           throws Exception

  Prepare webapp for stopping

  Specified by:
    `deconfigureWebApp` in interface `Configuration`
  Overrides:
    `deconfigureWebApp` in class `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.deconfigureWebApp()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.